[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# THashedStringList.IndexOf

Returns the index of a string in the list of strings

## Declaration

Source position: inifiles.pp line 73

`public function THashedStringList.IndexOf(`
`const S: string`
`):Integer; override;`

## Arguments

`S` |  | String to locate in the list

## Function result

Index of S or -1 if S is not in the list.

## Description

IndexOf overrides the #rtl.classes.TStringList.IndexOf method and uses the hash values to look for the location of S.

## See also

#rtl.classes.TStringList.IndexOf
THashedStringList.IndexOfName |  | Return the index of a name in the list of name=value pairs

Documentation generated on: Feb 26 2014